<?

session_start();

header( 'Content-type: text/html; charset=windows-1251' );

define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit(); }

if ( !isset( $_SESSION['iduser'] ) ) exit();

include_once ROOT_DIR . '/engine/config.php';

$id = ( int ) $_POST['id'];

$proverka = mysql_query( "SELECT * FROM tasks WHERE id = '" . $id . "' and iduser = '" . $_SESSION['iduser'] . "' LIMIT 1" );
///$up = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM tasks WHERE id = '" . $id . "' ORDER BY date DESC" ) );

if ( ( mysql_num_rows( $proverka ) <= 0 ) ) {
    echo '<div class="error" style="margin:10px" align="center"><b>Ошибка!</b> Рекламная площадка удалена или не принадлежит Вам.</div>';
} else {
    
	$pr_row_up = mysql_fetch_array( $proverka );
	
	/// Считаем на каком месте задание, в общем списке выдачи 
	$task_up_sql = mysql_query("SELECT * FROM tasks WHERE paused = 1 and balance >= (t_wait + t_work ) * price  / '" . $config['factor_tasks'] . "' + price  / '" . $config['factor_tasks'] . "' - 0.02 ORDER BY date DESC" );
    $counts = 0;
	while ($task_up_row = mysql_fetch_assoc($task_up_sql)) 
    {
        $counts++;
		if($task_up_row['id'] == $id) {$up = $counts;}
    }
	
	?>
		<script type="text/javascript">
			$(document).ready(function(){
				$('#upreser').styler({width:'185', 'maxHeight':185});
			});
		</script>
		<? if($pr_row_up['dateup'] == 0) { ?>
		<div style="padding: 5px; margin:5px; ">
			<table style="margin-left:10px; ">
				<tr >
					<td style="font-size: 14px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Поднимать задание каждые:&nbsp;&nbsp;&nbsp;</td>
					<td class=""><select id="upreser">
						<option value="1">-- Выберите --</option>
						<option value="600">10 минут</option>
						<option value="<?=600*3;?>">30 минут</option>
						<option value="3600">1 час</option>
						<option value="<?=3600*2;?>">2 часа</option>
						<option value="<?=3600*3;?>">3 часа</option>
						<option value="<?=3600*5;?>">5 часа</option>
						<option value="<?=3600*10;?>">10 часа</option>
						<option value="86400">1 сутки (24 часа)</option>
					</select></td>
				</tr>
			</table>
			<div class="infotext">Установив автоматический подъём задания, задание будет подниматься в общем списке автоматический через установленное время, все средства за автоматический подъём будут списываться с рекламного счета вашего аккаунта, поэтому для работы этого параметра следует предвратительно пополнить счет. Цена одного поднятия - <?=$config['tasksup']?> <?=$config['valutaname']?></div>
			<div style="text-align: center; margin-top: 7px;"><? if ($pr_row_up['paused'] == 1) { ?>Ваше задание сейчас на <font style="color: #ff5722;"><b><?=$up ?></b>  месте</font> в общем списке выдачи<? } ?></div>
		</div>
		<div class="task_up_button">
			<a href="#" onclick="uplink_wan(); return false;" class="btn_box">Поднять одноразово</a>
			<a href="#" onclick="uplink(); return false;" class="btn_box">Заказать</a>
		</div>
		<div class="erroralert_modal" ></div>
		<? } else { ?>
		<div style="padding: 5px; margin:5px; ">
			<table style="margin-left:10px; ">
				<tr >
					<td style="font-size: 14px;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Поднимать задание каждые:&nbsp;&nbsp;&nbsp;</td>
					<td class=""><select id="upreser">
						<option value="0" <? if( $pr_row_up['dateup'] == '0' ) echo 'selected';?>>-- Выключить подъём --</option>
						<option value="600" <? if( $pr_row_up['dateup'] == '600' ) echo 'selected';?>>10 минут</option>
						<option value="<?=600*3;?>" <? if( $pr_row_up['dateup'] == 600*3 ) echo 'selected';?>>30 минут</option>
						<option value="3600" <? if( $pr_row_up['dateup'] == '3600' ) echo 'selected';?>>1 час</option>
						<option value="<?=3600*2;?>" <? if( $pr_row_up['dateup'] == 3600*2 ) echo 'selected';?>>2 часа</option>
						<option value="<?=3600*3;?>" <? if( $pr_row_up['dateup'] == 3600*3 ) echo 'selected';?>>3 часа</option>
						<option value="<?=3600*5;?>" <? if( $pr_row_up['dateup'] == 3600*5 ) echo 'selected';?>>5 часа</option>
						<option value="<?=3600*10;?>" <? if( $pr_row_up['dateup'] == 3600*10 ) echo 'selected';?>>10 часа</option>
						<option value="86400" <? if( $pr_row_up['dateup'] == '86400' ) echo 'selected';?>>1 сутки (24 часа)</option>
					</select></td>
				</tr>
			</table>
			<div class="infotext">Установив автоматический подъём задания, задание будет подниматься в общем списке автоматический через установленное время, все средства за автоматический подъём будут списываться с рекламного счета вашего аккаунта, поэтому для работы этого параметра следует предвратительно пополнить счет. Цена одного поднятия - <?=$config['tasksup']?> <?=$config['valutaname']?></div>
			<div style="text-align: center; margin-top: 7px;"><? if ($pr_row_up['paused'] == 1) { ?>Ваше задание сейчас на <font style="color: #ff5722;"><b><?=$up ?></b>  месте</font> в общем списке выдачи<? } ?></div>
		</div>
		<div class="task_up_button">
			<a href="#" onclick="uplink_wan(); return false;" class="btn_box">Поднять одноразово</a>
			<a href="#" onclick="uplink(); return false;" class="btn_box">Заказать</a>
		</div>
		<div class="erroralert_modal" ></div>
		<? } ?>
		
	<?
}
?>
<script type="text/javascript">
function uplink() {
    $('.preloader').css({display:'block'});
    $.post('ajax.php?func=tasksup',{
        id : <?=$id?>,
		upreser : $('#upreser').val()
    }, function(data){
        if (data == 1){
            box_close();
            Page.Go('mtasks');
        } else {
            $('.erroralert_modal').fadeIn().html(data);
			setTimeout(function() {
				$('.erroralert_modal').fadeOut().html('&nbsp;');
			}, 4000);
        }
    });
    return false;
}
function uplink_wan() {
    $('.preloader').css({display:'block'});
    $.post('ajax.php?func=tasksupw',{
        id : <?=$id?>,
		upreser : $('#upreser').val()
    }, function(data){
        if (data == 1){
            box_close();
            Page.Go('mtasks');
        } else {
            $('.erroralert_modal').fadeIn().html(data);
			setTimeout(function() {
				$('.erroralert_modal').fadeOut().html('&nbsp;');
			}, 4000);
        }
    });
    return false;
}
</script>